# MenuMerge

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the behavior of a [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) when it is merged with items in another menu.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MenuMerge : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MenuMerge As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                                                                                                                                                              |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Add**        | The [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) is added to the collection of existing [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) objects in a merged menu.                                       |
| **MergeItems** | All submenu items of this [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) are merged with those of existing [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) objects at the same position in a merged menu. |
| **Remove**     | The [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) is not included in a merged menu.                                                                                                                             |
| **Replace**    | The [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) replaces an existing [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) at the same position in a merged menu.                                            |

## Used By

| Name                                                                       | Description                                                                                             |
| -------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| [MenuItem.MergeType](/api/wisej.web/menus/wisej.web.menuitem.md#mergetype) | Returns or sets a value indicating the behavior of this menu item when its menu is merged with another. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/menus/wisej.web.menumerge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
